<div class="row">
  <div class="col-sm-8 col-sm-offset-2">
    <h2>Nouveau Post</h2>
    <form [formGroup]="newPostForm" (ngSubmit)="onSavePost()">
      <div class="form-group">
        <label for="title">Titre</label>
        <input type="text" id="title"
               class="form-control" formControlName="title">
      </div>
      <div class="form-group">
        <label for="content">Contenu</label>
        <textarea id="content"
                  class="form-control" formControlName="content">
        </textarea>
      </div>
      <button class="btn btn-success" [disabled]="newPostForm.invalid"
            type="submit">Enregistrer
      </button>
    </form>
    <p class="text-danger">{{ errorMessage }}</p>
  </div>
</div>
